Package com.emc.d2fs.exceptions

# Class D2fsException

java.lang.Object
java.lang.Throwable
java.lang.Exception
com.emc.d2fs.exceptions.D2fsException

All Implemented Interfaces:
  `Serializable`

public class D2fsException extends Exception
D2 service exception

See Also:
  - Serialized Form

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static enum`
  `D2fsException.TYPE`
  Exception type constants

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `D2fsException(String message)`
  Creates a new D2FSException object.
  `D2fsException(String message, D2fsException.TYPE type)`
  `D2fsException(String message, D2fsException.TYPE type, Throwable e)`
  `D2fsException(String errorCode, String message)`
  `D2fsException(String errorCode, String message, D2fsException.TYPE type, Throwable e)`
  `D2fsException(String errorCode, String message, D2fsException.TYPE type, Throwable e, Object[] args)`
  `D2fsException(String message, Throwable e)`
  `D2fsException(Throwable e)`
  Creates a new D2FSException object.
  `D2fsException(Throwable e, D2fsException.TYPE type)`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `Object[]`
  `getArgs()`
  `String`
  `getErrorCode()`
  `D2fsException.TYPE`
  `getType()`
  `boolean`
  `isFailure()`
  `boolean`
  `isInfo()`
  `boolean`
  `isWarning()`
  `Object[]`
  `setArgs(Object[] params)`
  `void`
  `setErrorCode(String errorCode)`
  `void`
  `setType(D2fsException.TYPE type)`

  ### Methods inherited from class java.lang.Throwable

  `addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

  ### Methods inherited from class java.lang.Object

  `equals, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- ## Constructor Details

  - ### D2fsException

    public D2fsException(String message)
    Creates a new D2FSException object.
    Parameters:
      `message` - String value of error message

  - ### D2fsException

    public D2fsException(String message, Throwable e)

  - ### D2fsException

    public D2fsException(String message, D2fsException.TYPE type, Throwable e)

  - ### D2fsException

    public D2fsException(String errorCode, String message, D2fsException.TYPE type, Throwable e)

  - ### D2fsException

    public D2fsException(String errorCode, String message, D2fsException.TYPE type, Throwable e, Object[] args)

  - ### D2fsException

    public D2fsException(Throwable e)
    Creates a new D2FSException object.
    Parameters:
      `e` - Throwable

  - ### D2fsException

    public D2fsException(String errorCode, String message)

  - ### D2fsException

    public D2fsException(String message, D2fsException.TYPE type)

  - ### D2fsException

    public D2fsException(Throwable e, D2fsException.TYPE type)

- ## Method Details

  - ### setType

    public void setType(D2fsException.TYPE type)

  - ### getType

    public D2fsException.TYPE getType()

  - ### isWarning

    public boolean isWarning()

  - ### isFailure

    public boolean isFailure()

  - ### isInfo

    public boolean isInfo()

  - ### getErrorCode

    public String getErrorCode()

  - ### setErrorCode

    public void setErrorCode(String errorCode)

  - ### getArgs

    public Object[] getArgs()

  - ### setArgs

    public Object[] setArgs(Object[] params)